NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.ISegment Interface Reference

Interface class for all routing segments [Line/Arc/Spline] More...

Inheritance diagram for NXOpen.Routing.ISegment:
NXOpen.Routing.ICharacteristic NXOpen.INXObject NXOpen.Routing.ArcSegment NXOpen.Routing.GapArcSegment NXOpen.Routing.LineSegment NXOpen.Routing.SplineSegment

Public Member Functions

NXOpen.Routing.ConvertEccentricLinearToLinear ConvertEccentricLinearToLinear ()
 Is line segment eccentric converted to line segment? More...
 
NXOpen.Routing.ConvertLinearToEccentricLinear ConvertLinearToEccentricLinear ()
 Is line segment converted to eccentric line segment? More...
 
NXOpen.Routing.Electrical.CableDevice[] GetCableDevices ()
 Returns NXOpen.Routing.Electrical.CableDevice objects from NXOpen.Routing.ISegment . More...
 
NXOpen.Routing.Electrical.CablewaysLayoutView[] GetCablewaysLayoutViews ()
 Returns NXOpen.Routing.Electrical.CablewaysLayoutView objects from the NXOpen.Routing.ISegment . More...
 
void GetEndPoints (out NXOpen.Point3d startPoint, out NXOpen.Point3d endPoint)
 Get the current location of the segment ends in ABS coordinates. More...
 
void GetEndRcps (out NXOpen.Routing.ControlPoint startRcp, out NXOpen.Routing.ControlPoint endRcp)
 Return of segment end control points. More...
 
NXOpen.Routing.Eccentric GetIsEccentricSegment ()
 Is given segment a eccentric segment? More...
 
NXOpen.Routing.Interior GetIsSegmentInterior ()
 Query if a segment is interior to any part More...
 
NXOpen.Routing.Terminal GetIsTerminalSegment ()
 Is given segment a terminal segment? More...
 
NXOpen.Routing.Stock[] GetSegmentAllStocks ()
 Returns NXOpen.Routing.Stock as well as NXOpen.Routing.Overstock objects from the NXOpen.Routing.ISegment . More...
 
NXOpen.Routing.Stock[] GetSegmentStock ()
 Returns all stocks that directly reference this segment as part of the path defining the stock. More...
 
void SetEndPoints (NXOpen.Point3d startPoint, NXOpen.Point3d endPoint)
 Set the current location of the segment ends in ABS coordinates. More...
 
void SetEndRcps (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp)
  More...
 
void SetIsTerminalSegment (NXOpen.Routing.Terminal isTerminal)
 Set given segment to be a terminal segment? More...
 
void SetSegmentInteriorPart (NXOpen.Assemblies.Component interiorPart)
 Set a segment to be interior to supplied part More...
 
- Public Member Functions inherited from NXOpen.Routing.ICharacteristic
void DeleteCharacterstics (NXOpen.Routing.CharacteristicList values)
 Removes the input list of characteristics from this object. More...
 
NXOpen.Routing.CharacteristicList GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
NXOpen.Routing.CharacteristicList GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
int GetIntegerCharacteristic (string name)
 Get the value of an integer characteristic associated with the input name. More...
 
double GetRealCharacteristic (string name)
 Get the value of a real characteristic associated with the input name. More...
 
string GetStringCharacteristic (string name)
 Get the value of a string characteristic associated with the input name. More...
 
void SetCharacteristic (string name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
void SetCharacteristic (string name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
void SetCharacteristic (string name, string value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
void SetCharacteristic2 (string title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
void SetCharacteristic2 (string title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
void SetCharacteristic2 (string title, string value)
 Sets or creates a string type type attribute associated with the input title. More...
 
void SetCharacteristics (NXOpen.Routing.CharacteristicList values)
 Set all of the characteristics values on this object. More...
 
void SetCharacteristics2 (NXOpen.Routing.CharacteristicList values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
- Public Member Functions inherited from NXOpen.INXObject
NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
void Print ()
 Prints a representation of this object to the system log file. More...
 
void SetName (string name)
 Sets the custom name of the object. More...
 

Properties

NXOpen.Curve FollowCurve [get]
 Returns the segment follow curve. More...
 
double Length [get]
 Returns the length of the segment. More...
 

Detailed Description

Interface class for all routing segments [Line/Arc/Spline]

Created in NX4.0.0

Member Function Documentation

NXOpen.Routing.ConvertEccentricLinearToLinear NXOpen.Routing.ISegment.ConvertEccentricLinearToLinear ( )

Is line segment eccentric converted to line segment?

Created in NX8.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Is line segment eccentric converted to line segment?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.ConvertLinearToEccentricLinear NXOpen.Routing.ISegment.ConvertLinearToEccentricLinear ( )

Is line segment converted to eccentric line segment?

Created in NX8.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Is line segment converted to eccentric line segment?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Electrical.CableDevice [] NXOpen.Routing.ISegment.GetCableDevices ( )

Returns NXOpen.Routing.Electrical.CableDevice objects from NXOpen.Routing.ISegment .

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Array of cable devices.

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Electrical.CablewaysLayoutView [] NXOpen.Routing.ISegment.GetCablewaysLayoutViews ( )

Returns NXOpen.Routing.Electrical.CablewaysLayoutView objects from the NXOpen.Routing.ISegment .

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Array of cableways layout views.

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.GetEndPoints ( out NXOpen.Point3d  startPoint,
out NXOpen.Point3d  endPoint 
)

Get the current location of the segment ends in ABS coordinates.

This value is overridden by the coordinates of the end RCPs associated with this segment.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startPointLocation of end 0 in ABS coordinates
endPointLocation of end 1 in ABS coordinates

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.GetEndRcps ( out NXOpen.Routing.ControlPoint  startRcp,
out NXOpen.Routing.ControlPoint  endRcp 
)

Return of segment end control points.

The NXOpen.Routing.ControlPoint defines an end of a segment

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startRcpRCP defining start of segment
endRcpRCP defining end of segment

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Eccentric NXOpen.Routing.ISegment.GetIsEccentricSegment ( )

Is given segment a eccentric segment?

Created in NX8.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Is segment a eccentric segment?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Interior NXOpen.Routing.ISegment.GetIsSegmentInterior ( )

Query if a segment is interior to any part

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Is segment interior?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Terminal NXOpen.Routing.ISegment.GetIsTerminalSegment ( )

Is given segment a terminal segment?

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Is segment a terminal segment?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Stock [] NXOpen.Routing.ISegment.GetSegmentAllStocks ( )

Returns NXOpen.Routing.Stock as well as NXOpen.Routing.Overstock objects from the NXOpen.Routing.ISegment .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns
Array of stocks/overstocks.

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

NXOpen.Routing.Stock [] NXOpen.Routing.ISegment.GetSegmentStock ( )

Returns all stocks that directly reference this segment as part of the path defining the stock.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Returns

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.SetEndPoints ( NXOpen.Point3d  startPoint,
NXOpen.Point3d  endPoint 
)

Set the current location of the segment ends in ABS coordinates.

This value is overridden by the coordinates of the end RCPs associated with this segment.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startPointNew location of end 0 in ABS coordinates
endPointNew location of end 1 in ABS coordinates

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.SetEndRcps ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp 
)

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startRcpRCP defining start of segment
endRcpRCP defining end of segment

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.SetIsTerminalSegment ( NXOpen.Routing.Terminal  isTerminal)

Set given segment to be a terminal segment?

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
isTerminalSet as terminal segment?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

void NXOpen.Routing.ISegment.SetSegmentInteriorPart ( NXOpen.Assemblies.Component  interiorPart)

Set a segment to be interior to supplied part

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
interiorPartPart segment interior?

Implemented in NXOpen.Routing.LineSegment, NXOpen.Routing.ArcSegment, NXOpen.Routing.SplineSegment, and NXOpen.Routing.GapArcSegment.

Property Documentation

NXOpen.Curve NXOpen.Routing.ISegment.FollowCurve
get

Returns the segment follow curve.

NULL object indicates segment has no follow curve

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

double NXOpen.Routing.ISegment.Length
get

Returns the length of the segment.

Created in NX11.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")


The documentation for this interface was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.